"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var expand_1 = require("./expand");
var Path_1 = require("./Path");
/**
 * Encapsulates the {@link get} and {@link expand} function in an object oriented manner
 * @private
 * @hidden
 */
var Pattern = /** @class */ (function () {
    function Pattern(pattern) {
        this.pattern = pattern;
    }
    Pattern.prototype.get = function (object) {
        return this.expand(object).map(Path_1.default.prototype.get);
    };
    Pattern.prototype.expand = function (object) {
        return expand_1.default(this.pattern, object).map(function (p) { return new Path_1.default(p); });
    };
    Pattern.prototype.expandRaw = function (object) {
        return expand_1.default(this.pattern, object);
    };
    return Pattern;
}());
exports.default = Pattern;
//# sourceMappingURL=Pattern.js.map