"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Retrieves a value in an object described by an path
 * @param path the path at which the objects value should be retrieved
 * @param obj the object to retrieve a value from
 *
 * @example
 * ```javascript
 * const object = { foo: [null, { bar: "BAR" }] }
 * const result = get(["foo", 1, "bar"], object)
 * // result === "BAR"
 * ```
 */
function get(path, obj) {
    var pathArr = new Array().concat(path);
    return pathArr.reduce(function (o, segment) {
        if (null !== o && undefined !== o) {
            return o[segment];
        }
        else {
            return o;
        }
    }, obj);
}
exports.default = get;
//# sourceMappingURL=get.js.map